JUCE: AudioFormatReaderSource Class Reference

JUCE

Public Member Functions | List of all members
AudioFormatReaderSource Class Reference
juce_audio_formats » format

A type of AudioSource that will read from an AudioFormatReader. More...

`#include <juce_AudioFormatReaderSource.h>`

Inheritance diagram for AudioFormatReaderSource:

## Public Member Functions
| AudioFormatReaderSource (AudioFormatReader *sourceReader, bool deleteReaderWhenThisIsDeleted)
| Creates an AudioFormatReaderSource for a given reader. More...
| ~AudioFormatReaderSource () override
| Destructor. More...
void | setLooping (bool shouldLoop) override
| Toggles loop-mode. More...
bool | isLooping () const override
| Returns whether loop-mode is turned on or not. More...
AudioFormatReader * | getAudioFormatReader () const noexcept
| Returns the reader that's being used. More...
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
| Implementation of the AudioSource method. More...
void | releaseResources () override
| Implementation of the AudioSource method. More...
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
| Implementation of the AudioSource method. More...
void | setNextReadPosition (int64 newPosition) override
| Implements the PositionableAudioSource method. More...
int64 | getNextReadPosition () const override
| Implements the PositionableAudioSource method. More...
int64 | getTotalLength () const override
| Implements the PositionableAudioSource method. More...
Public Member Functions inherited from PositionableAudioSource
| ~PositionableAudioSource () override=default
| Destructor. More...
virtual void | setNextReadPosition (int64 newPosition)=0
| Tells the stream to move to a new position. More...
virtual int64 | getNextReadPosition () const =0
| Returns the position from which the next block will be returned. More...
virtual int64 | getTotalLength () const =0
| Returns the total length of the stream (in samples). More...
virtual bool | isLooping () const =0
| Returns true if this source is actually playing in a loop. More...
virtual void | setLooping (bool shouldLoop)
| Tells the source whether you'd like it to play in a loop. More...
Public Member Functions inherited from AudioSource
virtual | ~AudioSource ()=default
| Destructor. More...
virtual void | prepareToPlay (int samplesPerBlockExpected, double sampleRate)=0
| Tells the source to prepare for playing. More...
virtual void | releaseResources ()=0
| Allows the source to release anything it no longer needs after playback has stopped. More...
virtual void | getNextAudioBlock (const AudioSourceChannelInfo &bufferToFill)=0
| Called repeatedly to fetch subsequent blocks of audio data. More...

## Additional Inherited Members
Protected Member Functions inherited from PositionableAudioSource
| PositionableAudioSource ()=default
| Creates the PositionableAudioSource. More...
Protected Member Functions inherited from AudioSource
| AudioSource ()=default
| Creates an AudioSource. More...

## Detailed Description

A type of AudioSource that will read from an AudioFormatReader.

See also
  PositionableAudioSource, AudioTransportSource, BufferingAudioSource

## Constructor & Destructor Documentation

## ◆ AudioFormatReaderSource()

AudioFormatReaderSource::AudioFormatReaderSource | ( | AudioFormatReader * | sourceReader,
|  | bool | deleteReaderWhenThisIsDeleted
| ) |  |

Creates an AudioFormatReaderSource for a given reader.

Parameters

  sourceReader | the reader to use as the data source - this must not be null
  deleteReaderWhenThisIsDeleted | if true, the reader passed-in will be deleted when this object is deleted; if false it will be left up to the caller to manage its lifetime

## ◆ ~AudioFormatReaderSource()

AudioFormatReaderSource::~AudioFormatReaderSource | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ setLooping()

void AudioFormatReaderSource::setLooping | ( | bool | shouldLoop | ) |
| overridevirtual

Toggles loop-mode.

If set to true, it will continuously loop the input source. If false, it will just emit silence after the source has finished.

See also
  isLooping

Reimplemented from PositionableAudioSource.

## ◆ isLooping()

bool AudioFormatReaderSource::isLooping | ( |  | ) | const
| overridevirtual

Returns whether loop-mode is turned on or not.

Implements PositionableAudioSource.

## ◆ getAudioFormatReader()

AudioFormatReader * AudioFormatReaderSource::getAudioFormatReader | ( |  | ) | const
| noexcept

Returns the reader that's being used.

## ◆ prepareToPlay()

void AudioFormatReaderSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate
| ) |  |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ releaseResources()

void AudioFormatReaderSource::releaseResources | ( |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ getNextAudioBlock()

void AudioFormatReaderSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements AudioSource.

## ◆ setNextReadPosition()

void AudioFormatReaderSource::setNextReadPosition | ( | int64 | newPosition | ) |
| overridevirtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getNextReadPosition()

int64 AudioFormatReaderSource::getNextReadPosition | ( |  | ) | const
| overridevirtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

## ◆ getTotalLength()

int64 AudioFormatReaderSource::getTotalLength | ( |  | ) | const
| overridevirtual

Implements the PositionableAudioSource method.

Implements PositionableAudioSource.

The documentation for this class was generated from the following file:

- juce_AudioFormatReaderSource.h